# coding: utf-8
from flask import Flask
from flask.logging import default_handler
from flask_sqlalchemy import SQLAlchemy
from flask_redis import FlaskRedis
from flask_mail import Mail
#import logging
import sys

from .config import Config

# Initialize extensions
db = SQLAlchemy()
mail = Mail()
redis_client = FlaskRedis()

def create_app(config_class=Config):

    app = Flask(__name__)
    app.config.from_object(config_class)

    db.init_app(app)
    mail.init_app(app)
    redis_client.init_app(app)

    from tpmcqr_service.content.paleta import paleta
    from tpmcqr_service.api.parada import apiv2
#    from tpmcqr_service.api.mapa import mapa
    app.register_blueprint(paleta)
    app.register_blueprint(apiv2)
#    app.register_blueprint(mapa)
#    app.register_blueprint(errors)

    return app
